glider1

Cannot read flight plan (.net crashes)

6 posts in this topic

Thanks Alex for this great navigation tool you are so generous of your talents. It was pointed out to me that there might be an omission in the flightplan specification for this app at version 1.4.3 regarding the encoding that causes some apps that read littlenavmap flightplans to crash depending on what framework they are using. I'm not a developer, I'm only passing this on to you.

Here is the problem:

"the XML text declaration is incorrect and causes the .Net XML parser to crash

This
"<?xml version="1.0" ?>
is not according to the W3C XML specification

"<?xml version="1.0" encoding="UTF-8"?>"
would be correct"

Source:
http://www.w3.org/TR/REC-xml/#sec-TextDecl
Chapter 4.3.1

Thanks again

0

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Posted (edited)

Thanks, good catch. Can you tell me what apps crash?

Now the questions is: Why do the Qt tools omit the encoding in the file although I set it to UTF-8? Have to see, but it will be fixed.

Edit: Seems that this problem was introduced when moving to Qt 5.9 in LNM version 1.4.4. I'll switch to the latest Qt 5.9.1 which hopefully fixes this error.

Alex

Edited by albar965
0

Share this post


Link to post
Share on other sites
23 hours ago, albar965 said:

Thanks, good catch. Can you tell me what apps crash?

Now the questions is: Why do the Qt tools omit the encoding in the file although I set it to UTF-8? Have to see, but it will be fixed.

Edit: Seems that this problem was introduced when moving to Qt 5.9 in LNM version 1.4.4. I'll switch to the latest Qt 5.9.1 which hopefully fixes this error.

Alex

Hi Alex!

The app is AITrackerX and Oliver the developer (who has a forum hear on Avsim) said this was happening when I loaded a LittleNavMap flightplan:

"It is not AITrackerX that crashes, but the .Net XML parser"

Cheers, Harry

0

Share this post


Link to post
Share on other sites

Hi Alex - thanks for the link! I tried it in the same scenario as 1.4.3 and now it works perfectly. Thanks for the effort and really sorry for the slow reply I forgot to follow this topic.

Cheers, Harry

0

Share this post


Link to post
Share on other sites

Hi Harry,

glad it is working and no problem. I am also not the fastest answering mails and posts.:smile:

Alex

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now